Announcement

Collapse
No announcement yet.

Does upgrading to the beta version require reflashing of existing devices?

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Does upgrading to the beta version require reflashing of existing devices?

    I am running V1.0.0.131 and was thinking about upgrading to the latest beta which I believe is currently v1.0.0.161. I already have one device deployed remotely that I flashed under v1.0.0.131 using the Arduino IDE V1.6.8.

    I know that with the .161 beta I should be using V1.8.9 of the Arduino IDE/Libraries going forward however my question is whether I have to reflash the device I deployed under .131 with the new scratch file from .161 in order for the old .131 device to work properly with the new .161 plugin.

    I am thinking the answer is yes, but then again I figure there is also a chance that it is still backward compatible. Does anyone know if a reflash is required?

  • #2
    Yes, you will be required to upload the .161 sketch to your old board.
    Zwave = Z-Stick, 3xHSM100� 7xACT ZDM230, 1xEverspring SM103, 2xACT HomePro ZRP210.
    X10 = CM12U, 2xAM12, 1xAW10, 1 x TM13U, 1xMS13, 2xHR10, 2xSS13
    Other Hardware = ADI Ocelot + secu16, Global Cache GC100, RFXtrx433, 3 x Foscams.
    Plugings = RFXcom, ActiveBackup, Applied Digital Ocelot, BLDeviceMatrix, BLGarbage, BLLAN, Current Cost, Global Cache GC100,HSTouch Android, HSTouch Server, HSTouch Server Unlimited, NetCAM, PowerTrigger, SageWebcamXP, SqueezeBox, X10 CM11A/CM12U.
    Scripts =
    Various

    Comment


    • #3
      Thanks for the quick response, will do.

      Comment

      Working...
      X